#keep level 2 fight #7
from eventAPI import *
from APIUtils import *

rtKeep2Flag7=0

def fireEvent(e):
   global Keep2Flag1
   rtKeep2Flag7 = getTag(e, "rtKeep2Flag7")
   if (rtKeep2Flag7 == 1):
      return 1
   else:
      fightThem(e)
   if (rtKeep2Flag7 == 1):
      return 1
   else:
      return 0

def fightThem(e):
   combatRet = combat(e, [("Red Dragon", 2, 0, 10)])
   if (combatRet == 1):
      wonFight(e)

def wonFight(e):
   global rtKeep2Flag7
   rtKeep2Flag7 = 1
   setTag(e, "rtKeep2Flag7", rtKeep2Flag7)
